# Pledges Pledges ## Creates a new pledge record that does not already exist. - [POST /pledges/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/createpledge.md): This method will auto-generate an ID and create a new pledge. If an ID is specified for the pledge, an error will be thrown. ## Execute Batch Operations - [POST /pledges/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified contact_id - [GET /pledges/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/listpledgesbycontactid.md): Returns a list of records with the specified contact_id ## Returns a list of records with the specified donor_id - [GET /pledges/{tenantId}/donor/{donor_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/listpledgesbydonorid.md): Returns a list of records with the specified donor_id ## Generates an order from a fundraising pledge - [POST /pledges/{tenantId}/generateOrder](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/generateorder.md): This method will examine a fundraising pledge and generate an appropriate order ## Returns a list of records with the specified order_id - [GET /pledges/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/listpledgesbyorderid.md): Returns a list of records with the specified order_id ## Returns a list of records with the specified organization_id - [GET /pledges/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/listpledgesbyorganizationid.md): Returns a list of records with the specified organization_id ## Sends out a preview of the pledge notification email - [POST /pledges/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/previewemail.md): Sends out a preview of the pledge notification email ## Preview Pledge Receipt - [POST /pledges/{tenantId}/previewReceipt](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/previewreceipt.md): Sends out a preview of the pledge receipt email ## Resend Receipt - [POST /pledges/{tenantId}/process](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/processpledge.md): Resends the pledge receipt ## Resend Receipt - [POST /pledges/{tenantId}/public/process](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/processpledgepublicly.md): Resends the pledge receipt ## Resend Receipt - [POST /pledges/{tenantId}/resendReceipt/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/resendreceipt.md): Resends the pledge receipt ## Searches for pledges using predefined parameters - [POST /pledges/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/searchforpledges.md): Searches for pledges using predefined parameters ## Returns a pledge from the system by its ID. - [DELETE /pledges/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/deletepledge.md): This method will delete a pledge with the specified ID. ## Returns a pledge from the system by its ID. - [GET /pledges/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/getpledge.md): This method will look up a pledge by the specified ID and return it back. ## Partially updates a pledge with the specified ID. - [PATCH /pledges/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/patchpledge.md): This method will patch an existing pledge with the specified ID, using the HTTP PATCH specification. ## Updates a pledge with the specified ID. - [PUT /pledges/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/updatepledge.md): This method will update an existing pledge with the specified ID.